import { DatePipe } from '@angular/common';
import { NgModule } from '@angular/core';
import { DateFormatPipe } from './pipes/date-format.pipe';
import { DateTimeFormatPipe } from './pipes/date-time-format.pipe';
import { NgForLimitPipe } from './pipes/ng-for-limit.pipe';
import { TimezoneInfoDisplayPipe } from './pipes/timezone-info-display.pipe';
import { EnumUtils } from './services/utilities/enum-utils.service';

//
//
// This is shared module that provides all formatting utils. Its imported only once on the AppModule.
//
//

@NgModule({
	declarations: [
		NgForLimitPipe,
		TimezoneInfoDisplayPipe,
		DateFormatPipe,
		DateTimeFormatPipe
	],
	exports: [
		NgForLimitPipe,
		TimezoneInfoDisplayPipe,
		DateFormatPipe,
		DateTimeFormatPipe
	],
	providers: [
		EnumUtils,
		DatePipe,
		NgForLimitPipe,
		TimezoneInfoDisplayPipe,
		DateFormatPipe,
		DateTimeFormatPipe
	]
})
export class FormattingModule { }
