import { Status } from "../../common/enum/Status";
import { DmpProfile, DmpProfileDefinition } from "../dmp-profile/dmp-profile";
import { OrganizationModel } from "../organisation/organization";
import { ProjectListingModel } from "../project/project-listing";
import { ResearcherModel } from "../researcher/researcher";
import { UserModel } from "../user/user";
import { DmpDynamicField } from "./dmp-dynamic-field";

export interface DmpModel {
	id: string;
	label: string;
	groupId: String;
	profile: String;
	version: number;
	status: Status;
	lockable: boolean;
	description: String;
	profiles: DmpProfile[];
	project: ProjectListingModel;
	organisations: OrganizationModel[];
	researchers: ResearcherModel[];
	associatedUsers: UserModel[];
	creator: UserModel;
	definition: DmpProfileDefinition;
	dynamicFields: Array<DmpDynamicField>;
}
