import { FormBuilder, FormGroup } from '@angular/forms';
import { FieldDataOption } from '../../../../../core/model/dataset-profile-definition/field-data/field-data';
import { FieldDataEditorModel } from './field-data-editor-model';

export class FieldDataOptionEditorModel extends FieldDataEditorModel<FieldDataOptionEditorModel> {
	public label: string;
	public value: string;

	buildForm(): FormGroup {
		return new FormBuilder().group({
			label: [this.label],
			value: [this.value]
		});
	}

	fromModel(item: FieldDataOption): FieldDataOptionEditorModel {
		this.label = item.label;
		this.value = item.value;
		return this;
	}
}
