﻿import { FormGroup, Validators } from '@angular/forms';
import { Page } from '../../../../core/model/admin/dataset-profile/dataset-profile';
import { BaseFormModel } from '../../../../core/model/base-form-model';
import { Guid } from '../../../../common/types/guid';

export class PageEditorModel extends BaseFormModel {
	public title: string;
	public id: string;
	public ordinal: number;

	constructor(ordinal?: number) {
		super();
		if (isNaN(ordinal)) { this.ordinal = 0; } else { this.ordinal = ordinal; }
		this.id = Guid.create().toString();
	}

	fromModel(item: Page): PageEditorModel {
		this.title = item.title;
		this.id = item.id;
		this.ordinal = item.ordinal;
		return this;
	}

	buildForm(): FormGroup {
		const formGroup = this.formBuilder.group({
			title: [this.title, [Validators.required]],
			id: [this.id, [Validators.required]],
			ordinal: [this.ordinal]
		});
		return formGroup;
	}
}
