import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { FormattingModule } from '../../core/formatting.module';
import { AutoCompleteModule } from '../../library/auto-complete/auto-complete.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { DmpRoutingModule } from './dmp.routing';
import { AddResearcherComponent } from './editor/add-researcher/add-researcher.component';
import { AvailableProfilesComponent } from './editor/available-profiles/available-profiles.component';
import { DmpEditorComponent } from './editor/dmp-editor.component';
import { DmpFinalizeDialogComponent } from './editor/dmp-finalize-dialog/dmp-finalize-dialog.component';
import { DynamicDmpFieldResolverComponent } from './editor/dynamic-field-resolver/dynamic-dmp-field-resolver.component';
import { DynamicFieldProjectComponent } from './editor/dynamic-fields-project/dynamic-field-project/dynamic-field-project.component';
import { DynamicFieldsProjectComponent } from './editor/dynamic-fields-project/dynamic-fields-project.component';
import { InvitationAcceptedComponent } from './invitation/accepted/dmp-invitation-accepted.component';
import { DmpInvitationDialogComponent } from './invitation/dmp-invitation.component';
import { DmpCriteriaComponent } from './listing/criteria/dmp-criteria.component';
import { DmpListingComponent } from './listing/dmp-listing.component';
import { DmpWizardComponent } from './wizard/dmp-wizard.component';
import { DmpWizardEditorComponent } from './wizard/editor/dmp-wizard-editor.component';
import { DmpWizardDatasetListingComponent } from './wizard/listing/dmp-wizard-dataset-listing.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		ConfirmationDialogModule,
		FormattingModule,
		AutoCompleteModule,
		DmpRoutingModule
	],
	declarations: [
		DmpListingComponent,
		DmpCriteriaComponent,
		DmpEditorComponent,
		DmpInvitationDialogComponent,
		InvitationAcceptedComponent,
		DmpWizardComponent,
		DmpWizardEditorComponent,
		DmpWizardDatasetListingComponent,
		AddResearcherComponent,
		AvailableProfilesComponent,
		DmpFinalizeDialogComponent,
		DynamicDmpFieldResolverComponent,
		DynamicFieldsProjectComponent,
		DynamicFieldProjectComponent
	],
	entryComponents: [
		DmpInvitationDialogComponent,
		AddResearcherComponent,
		AvailableProfilesComponent,
		DmpFinalizeDialogComponent
	]
})
export class DmpModule { }
