import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { ConfirmationDialogModule } from '../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../library/url-listing/url-listing.module';
import { ProjectEditorComponent } from './editor/project-editor.component';
import { ProjectCriteriaComponent } from './listing/criteria/project-criteria.component';
import { ProjectListingComponent } from './listing/project-listing.component';
import { ProjectRoutingModule } from './project.routing';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		ConfirmationDialogModule,
		ProjectRoutingModule
	],
	declarations: [
		ProjectListingComponent,
		ProjectCriteriaComponent,
		ProjectEditorComponent
	]
})
export class ProjectModule { }